#!/bin/sh
#Interfaz Xdialog para editar el archivo de configuracion de programas de radio a grabar
#
#Este script est licenciado bajo la [1] GNU General Public License (GPL) y por tanto
# se permite su copia, distribucin y/o modificacin mientras se mantenga su licencia y
# se cite que est realizado por [2] Garraxi Irratia. Contacto: [3] Martintxo
#
#[1] http://www.gnu.org/copyleft/gpl.html
#[2] http://sindominio.net/garraxi/
#[3] martintxo@sindominio.net

#Para comprobar que es garraxi2 el que ejecuta el script (si no es exit, si es continua...):
QUIENSOY=`whoami`;
if [ "$QUIENSOY" != "garraxi2" ];then
Xdialog --wmclass "soma" --title "Usuario no autorizado" --icon /usr/local/share/pixmaps/warning.xpm \
        --msgbox "Me parece que tu no eres el Administrador de la Emisin.\nAbortando..." 0 0;
exit;
fi

#Variable para aadir la fecha al nombre de la copia de backup de programas.txt:
DATE=`date +%d-%m-%Y_%H:%M:%S`

#GUI para editar el archivo de programas:
GUI=`Xdialog --wmclass "soma" --title "Editor listado programas" --stdout --left \
        --backtitle "Aade o quita programas de radio del script de grabacin de programas:\nPon cada nombre en una nueva linea.\nLos nombres de los programas no tienen espacios.\nDebe estar exactamente igual escrito al de la parrilla de Soma." \
	--editbox /home/garraxi/.programas-radio/programas.txt 0 0 `

#Si OK: backup de programas.txt antes de editarlo y edita programas.txt con cuadro de texto xdialog:
#Si Cancel: sale sin hacer nada
case $? in
  0)
    cp "/home/garraxi/.programas-radio/programas.txt" "/home/garraxi/.programas-radio/programas_$DATE.txt";
    echo "$GUI" > /home/garraxi/.programas-radio/programas.txt;
    Xdialog --wmclass "soma" --title "Listado programas" --stdout --left --no-cancel \
        --backtitle "As ha quedado el listado de programas.\nComprueba que est bien y si no vuelve a empezar.\n(Esta ventana no es editable)." \
	--textbox /home/garraxi/.programas-radio/programas.txt 0 0
;;
  1)
    exit;;
esac
