#!/bin/sh
#Interfaz Xdialog que presenta todas las tareas que "puede" hacer garraxi2.
#
#Este script est licenciado bajo la [1] GNU General Public License (GPL) y por tanto
# se permite su copia, distribucin y/o modificacin mientras se mantenga su licencia y
# se cite que est realizado por [2] Garraxi Irratia. Contacto: [3] Martintxo
#
#[1] http://www.gnu.org/copyleft/gpl.html
#[2] http://sindominio.net/garraxi/
#[3] martintxo@sindominio.net

#Para comprobar que es garraxi2 el que ejecuta el script (si no es exit, si es continua...):
QUIENSOY=`whoami`;
if [ "$QUIENSOY" != "garraxi2" ];then
Xdialog --wmclass "soma" --title "Usuario no autorizado" --icon /usr/local/share/pixmaps/warning.xpm \
        --msgbox "Me parece que tu no eres el Administrador de la Emisin.\nAbortando..." 0 0;
exit;
fi

#GUI para elejir la accion a realizar:
PRUEBA=`Xdialog --wmclass "soma" --no-tags --title "Administrador de la Emisin" --stdout \
        --radiolist "Tareas del Administrador de la Emisin:" 0 0 0 \
	"garraxi2-chown.sh" "Proteger Musica/Kunyas" on \
	"tagtool" "Editar tags en msica protegida" off \
	"endeavour2" "Gestor archivos EndeavourII (modo Admin)" off \
	"garraxi2-editprog.sh" "Editar lista de programas a grabar" off \
    	"garraxi2-gestionparrilla-aux.sh" "Gestin completa de la Parrilla" off \
	"garraxi2-releerpalinsesto-aux.sh" "Hacer que Somad relea la parrilla" off \
	"garraxi2-mixerserver-aux.sh" "Ajustar volmenes SERVIDOR" off \
	"ssh -X garraxi2@192.168.0.1 set-time.sh" "Cambiar fecha/hora SERVIDOR" off \
	"apagar-server-aux.sh" "Apagar/Reiniciar SERVIDOR" off \
	"aumix -d /dev/mixer0 && sudo alsactl store 0" "Ajustar volumen AUXILIAR" off \
	"set-time.sh" "Cambiar fecha/hora del AUXILIAR" off \
	"mrxvt -sb -sl 1000 -g 85x25 -sr -stt -tnum 2 -vt0.tt Aux1:garraxi2 -vt1.tt Serv:garraxi2 -vt1.e 'ssh -X garraxi2@192.168.0.1'" "Terminal de texto (del AUX y del SERVER)" off \
	`;

#Lo que realiza finalmente la accion elejida:
/bin/sh -c "$PRUEBA"
