#!/bin/sh
#Interfaz Xdialog para releer palinsesto.cfg.
#
#Este script est licenciado bajo la [1] GNU General Public License (GPL) y por tanto
# se permite su copia, distribucin y/o modificacin mientras se mantenga su licencia y
# se cite que est realizado por [2] Garraxi Irratia. Contacto: [3] Martintxo
#
#[1] http://www.gnu.org/copyleft/gpl.html
#[2] http://sindominio.net/garraxi/
#[3] martintxo@sindominio.net

#Para comprobar que es garraxi2 el que ejecuta el script (si no es exit, si es continua...):
QUIENSOY=`whoami`;
if [ "$QUIENSOY" != "garraxi2" ];then
Xdialog --wmclass "soma" --title "Usuario no autorizado" --icon /usr/local/share/pixmaps/warning.xpm \
        --msgbox "Me parece que tu no eres el Administrador de la Emisin.\nAbortando..." 0 0;
exit;
fi

#GUI con la pregunta de si releer palinsesto.cfg o no:
Xdialog --wmclass "soma" --title "Releer palinsesto" --default-no \
        --backtitle "Hacer que SomaD relea su palinsesto?." \
       --yesno "Es necesario hacerlo siempre que se haya modificado algo en palinsesto.cfg,\nsi no Somad no se entera de los cambios y sigue como antes de hacerlos." 0 0

#Si respuesta SI: relee palinsesto, si NO, sale sin hacer nada:
case $? in
  0)
    somaclient -p -ssl --readpalinsesto | \
    Xdialog --wmclass "soma" --title "Releer palinsesto" --no-cancel \
       --backtitle "Mensajes que devuelve SomaD:\n(si sale 1 vez 'Done' es que ha sido un xito)" --tailbox "-" 14 40;;
  1)
    exit;;
esac
