#!/bin/sh
#Script para arrancar mpd+glurp de una manera limpia.

MPD=`pgrep -l mpd | cut --delimiter=" " -f 2 -s`
GLURP=`pgrep -l glurp | cut --delimiter=" " -f 2 -s`

#Si NO hay ningun proceso de glurp ni mpd arrancado:
if [ "$MPD" = "" ] && [ "$GLURP" = "" ];then
  esddsp mpd;
  glurp;
  killall mpd;
fi

#Si SI hay procesos de glurp y mpd arrancados (ventana xdialog preguntando a user):
if [ "$MPD" = "mpd" ] && [ "$GLURP" = "glurp" ];then
   PRUEBA=`Xdialog --wmclass "mpd+glurp" --no-tags --title "Problemillas con Glurp!!" --stdout \
        --radiolist "Parece como si ya hubiera algn otro Glurp arrancado antes.\nComprueba si hay alguna ventana de Glurp abierta...:" 0 0 0 \
        "exit" "Si, perdona, me he equivocado." on \
        "glurp&" "Si, pero queria tener otra ventana abierta a la vez." off \
	"killall glurp;killall mpd;esddsp mpd;glurp;killall mpd;" "No, no hay ninguna ventana de Glurp arrancada." off`
   /bin/sh -c "$PRUEBA"
fi

#Si SI hay proceso de mpd arrancado, pro NO de glurp:
if [ "$MPD" = "mpd" ] && [ "$GLURP" = "" ];then
  killall mpd;
  esddsp mpd;
  glurp;
  killall mpd;
fi

#Si SI hay proceso de glurp arrancado, pro NO de mpd (ventana xdialog preguntando a user):
if [ "$MPD" = "" ] && [ "$GLURP" = "glurp" ];then
  PRUEBA2=`Xdialog --wmclass "mpd+glurp" --no-tags --title "Problemillas con Glurp!!" --stdout \
        --radiolist "Parece como si ya hubiera algn otro Glurp arrancado antes, pero que no funciona.\nComprueba si hay alguna ventana de Glurp abierta...:" 0 0 0 \
        "killall glurp;killall mpd;esddsp mpd;glurp;killall mpd;" "Si, pero no me funciona." on \
	"killall glurp;killall mpd;esddsp mpd;glurp;killall mpd;" "No, no hay ninguna ventana de Glurp arrancada." off`
  /bin/sh -c "$PRUEBA2"
fi

#Si el output del detector de procesos es raro (poruqe hay varios procesos de mpd o de glurp arrancados, por ejemplo):
if [ "$MPD" != "" ] && [ "$GLURP" != "" ];then
  if [ "$MPD" != "mpd" ] && [ "$GLURP" != "glurp" ];then
    killall glurp;
    killall mpd;
    esddsp mpd;
    glurp;
    killall mpd;
  fi
  if [ "$MPD" = "mpd" ] && [ "$GLURP" != "glurp" ];then
    killall glurp;
    killall mpd;
    esddsp mpd;
    glurp;
    killall mpd;
  fi
  if [ "$MPD" != "mpd" ] && [ "$GLURP" = "glurp" ];then
    killall glurp;
    killall mpd;
    esddsp mpd;
    glurp;
    killall mpd;
  fi
fi
